GEOS: geos::precision::GeometrySnapper Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::precision::GeometrySnapper Class Reference

Snaps the vertices and segments of a geometry to another's vertices. Should improve robustness for overlay operations. More...

`#include <GeometrySnapper.h>`

List of all members.

## Public Member Functions
| GeometrySnapper (const geom::Geometry &g)
std::auto_ptr< geom::Geometry > | snapTo (const geom::Geometry &g, double snapTolerance)
| Snaps the vertices in the component LineStrings of the source geometry to the vertices of the given geometry with a given snap tolerance.
## Static Public Member Functions
static double | computeOverlaySnapTolerance (const geom::Geometry &g)
| Estimates the snap tolerance for a Geometry, taking into account its precision model.
static double | computeSizeBasedSnapTolerance (const geom::Geometry &g)
static double | computeOverlaySnapTolerance (const geom::Geometry &g1, const geom::Geometry &g2)
| Computes the snap tolerance based on input geometries;.

## Detailed Description

Snaps the vertices and segments of a geometry to another's vertices. Should improve robustness for overlay operations.

## Member Function Documentation

std::auto_ptr<geom::Geometry> geos::precision::GeometrySnapper::snapTo | ( | const geom::Geometry & | g,
|  | double | snapTolerance |
| ) |  |  |

Snaps the vertices in the component LineStrings of the source geometry to the vertices of the given geometry with a given snap tolerance.

Parameters:

  | g |
  | snapTolerance |

Returns:
  a new snapped Geometry

static double geos::precision::GeometrySnapper::computeOverlaySnapTolerance | ( | const geom::Geometry & | g | ) | `[static]`

Estimates the snap tolerance for a Geometry, taking into account its precision model.

Parameters:

  | g | a Geometry

Returns:
  the estimated snap tolerance

The documentation for this class was generated from the following file:

- GeometrySnapper.h